<?php
/**
 * Barcode EAN-8
 * 
 * @author Floris Luiten <www.florisluiten.nl>
 * @package DigitBarCodes
 * @version $Id: digitbarcodes (ean13.class.php), v1.01 2011/02/12 $
 * @copyright Please contact author for copyright information, but
 *            in general these rules apply:
 *            
 *            - Want to use this code to learn how to write your own
 *              classes or teach others how to code? Go ahead! Please 
 *              give me credits in a proper way. Also, I'd love to hear
 *              your from you how you used this code. 
 *              
 *            - Want to use this code to generate a library for personal
 *              use? Please, go ahead! I'd love to hear from you how 
 *              this code helped you and where you have applied it.
 *              
 *            - Want to make money off this code? Please don't do that
 *              without consulting me first. If you really don't want
 *              to contact me for whatever reason, donate a FAIR amount
 *              to charity, in relation to how much money you make.
 */

/**
 * Requires the EAN-13 class
 */
require_once(dirname(__FILE__) . '/ean13.class.php');

/**
 * Class for EAN-8, based on the EAN-13 class
 * 
 * @package DigitBarCodes 
 * @abstract
 */

class EAN8Barcode extends EAN13Barcode {
	protected $codeLengthNoCheckum = 7;
	protected $codeLength = 1;
	
	protected $centerGuards = array(3 => array(0, 1, 0, 1, 0));
	
	protected $encodeStartDigit = 0;
	
	/**
	 * Returns the mask to use for the EAN-8 code
	 *
	 * @param string The code (with or without the checksum)
	 * @return string The mask to use
	 */
	protected function getStructureMask($code) {
		if (!ctype_digit($code)) {
			return false;
		}
		return 'LLLLRRRR';
	}
}
?>
